@ECHO OFF
BREAK ON
CLS
ECHO.
ECHO ********************* Jack in the Dark ***********************
ECHO                            Setup
echo.
echo.
echo.
if "%1"=="" goto error
if %1==a goto continue
if %1==A goto continue
if %1==b goto continue
if %1==B goto continue
:error
echo      No floppy drive was specified. 
echo      You must have a FORMATTED high density 3 1/2 inch disk inserted the
echo  A: or B: drive.  Then enter 'setup a' or 'setup b' to run this batch
echo  file again.
echo.
echo.
echo.
goto end
:continue
ECHO      This batch file will set up an install disk for Jack in the
ECHO  Dark.  You MUST have a formatted high density 3 1/2 inch disk in
ECHO  your disk drive before you can run this Setup program. If you don't, 
ECHO  press 'Ctrl-C' to terminate this setup, insert the disk in your A: or
ECHO  B: drive, (format it if necessary,) and then return to this directory
ECHO  and type 'setup a' or 'setup b' again. ('Ctrl-C means press and hold 
ECHO  the 'Crtl' key and press 'C' at the same time.)
echo.
echo.
echo Press 'Ctrl-C' to exit or
pause
echo.
echo.
cls
label %1: DISK1
if NOT ERRORLEVEL==1 goto copy
echo.
echo      Unable to set volume name of disk to DISK1.  You may have to
echo  Format the disk and when prompted for Volume Label, enter 'DISK1'.
echo  you can also use Filemanager in Windows, or some other disk
echo  utility to set the volume label.  The Install program will prompt
echo  you to 'Insert disk 1 of 1' if the volume label is not 'DISK1.'
echo.
echo      To cancel install if you have to format the disk, press 
echo  'Ctrl-C'. If you want to continue and copy files to the disk and
echo  label the disk 'DISK1' later, 
pause
:copy
cls
echo.
echo.
echo      By the way, be sure to check the Readme.1st file in the directory
echo  you unzipped JACKDARK.ZIP to.  Just return to the directory and type
echo  README and you can view the file.  
echo. 
echo      Also in the directory is the AITDHELP.TXT technical support file
echo  with helpful technical information for Jack in the Dark and the
echo  other Alone in the Dark series games.  You can view the file with any
echo  text editor, DOS Edit, or Windows Notepad. Check it if you encounter
echo  problems running the game(s).
echo. 
echo.
echo      Now copying *.PAK files to floppy disk.
echo.
COPY *.PAK %1: 
echo      Now copying *.DAT files to floppy disk.
echo.
COPY *.DAT %1:
echo      Now copying *.COM files to floppy disk.
echo.
COPY *.COM %1:
echo      Now copying *.ITD files to floppy disk.
echo.
COPY *.ITD %1:
echo      Now copying *.OPT files to floppy disk.
COPY *.OPT %1:

rename %1:install.dat install.exe
rename %1:indark2.dat indark2.exe
rename %1:cleardrv.dat cleardrv.exe
rename %1:jack.dat jack.bat

echo.
echo.
echo.
echo     Done!
echo.
echo     Now running Install program from floppy.
echo     Please wait...
%1:install
cd c:\jack

:end

